@ECHO OFF
ECHO *****************************************************
ECHO * Registrierung der NG COM Server...
ECHO.

set PATH=.;%windir%\system32;%windir%\system;%PATH%

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGVideo...
start /wait NGVideo.exe /regserver

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGHK...
start /wait regsvr32 /s NGHK.ocx

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGViewport...
start /wait regsvr32 /s NGViewport.ocx

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGPreviewCtrl...
start /wait regsvr32 /s NGPreviewCtrl.ocx

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGOdontogramCtrl...
start /wait regsvr32 /s NGOdontogramCtrl.ocx

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGPatientCtrl...
start /wait regsvr32 /s NGPatientCtrl.ocx

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGExamCtrl...
start /wait regsvr32 /s NGExamCtrl.ocx

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere NGDesignArea...
start /wait regsvr32 /s NGDesignArea.ocx

ECHO ----------------------------------------------
REM benötigt nix
ECHO Registriere oleReport...
start /wait regsvr32 /s oleReport.dll

ECHO ----------------------------------------------
REM benötigt nix/?
ECHO Registriere NGTattleTale...
start /wait regsvr32 /s NGTattleTale.dll

ECHO ----------------------------------------------
REM benötigt TattleTale
ECHO Registriere NGMsgBox...
start /wait regsvr32 /s NGMsgBox.dll

ECHO ----------------------------------------------
REM benötigt TattleTale, oleReport und NGMsgBox
ECHO Registriere oleErrorHandler...
start /wait regsvr32 /s oleErrorHandler.dll

ECHO ----------------------------------------------
REM benötigt TattleTale
ECHO Registriere NGLUT...
start /wait regsvr32 /s NGLUT.ocx

ECHO ----------------------------------------------
REM benötigt NGPatientCtrl, NGDesignArea, oleReport, oleErrorHandler und NGMsgBox
ECHO Registriere NGPatientDlg...
start /wait regsvr32 /s NGPatientDlg.dll

ECHO ----------------------------------------------
REM benötigt NGOdontogramCtrl, NGPreviewCtrl, NGDesignArea, oleReport, oleErrorHandler und NGMsgBox
ECHO Registriere NGImageDlg...
start /wait regsvr32 /s NGImageDlg.dll

ECHO ----------------------------------------------
REM benötigt NGPatientCtrl, NGExamCtrl, NGDesignArea, NGPatientDlg, oleReport, oleErrorHandler und NGMsgBox
ECHO Registriere NGExamDlg...
start /wait regsvr32 /s NGExamDlg.dll

ECHO ----------------------------------------------
REM benötigt ?
ECHO Registriere NGPIMan...
start /wait regsvr32 /s NGPIMan.dll

ECHO ----------------------------------------------
REM benötigt alles ;-)
ECHO Registriere SIDEXIS...
start /wait sidexis.exe /regserver

ECHO ----------------------------------------------
ECHO SIDEXIS starten
start sidexis.exe

ECHO.
@ECHO ON
